﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace CoreSharp.Keyboard.Layouts
{
    public abstract class KeyboardLayout
    {
        public abstract char[] Row1 { get; }
        public abstract char[] Row2 { get; }
        public abstract char[] Row3 { get; }
        public abstract char[] Row4 { get; }

        public abstract string LayoutName { get; }
        public abstract string LayoutIcon { get; }

        /// <summary>
        /// Keyboard layout from shift key
        /// </summary>
        public virtual KeyboardLayout ShiftKeyboardLayout { get { return null; } }

        /// <summary>
        /// Keyboard Layout next from this layout
        /// </summary>
        public virtual KeyboardLayout AltKeyboardLayout { get { return null; } }

	
    }

}
