﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CoreSharp.Keyboard.Layouts
{
    public class ThaiShiftKeyboardLayout : KeyboardLayout
    {
        
		#region Singleton Pattern
			
		private static ThaiShiftKeyboardLayout _Default;

		private ThaiShiftKeyboardLayout()
		{
		}

		///<summary>
		/// Get the default instance of ThaiShiftKeyboardLayout
		///</summary>
		public static ThaiShiftKeyboardLayout Default
		{
			get
			{
				if ( _Default == null )
				{
					_Default = new ThaiShiftKeyboardLayout();
				}
				return _Default;
			}
		}
		
		#endregion

        public override string LayoutIcon
        {
            get { return null; }
        }

        public override string LayoutName
        {
            get { return "TH"; }
        }


        private char[] _Row1 = "๑๒๓๔๕๖๗๘๙".ToCharArray();
        private char[] _Row2 = "๐ฎฑธณฯญฐฅ".ToCharArray();
        private char[] _Row3 = "ฤฆฏโฌษศซฃ".ToCharArray();
        private char[] _Row4 = "()ฉฮฒฬฦ".ToCharArray();

        public override char[] Row1
        {
            get { return _Row1; }
        }

        public override char[] Row2
        {
            get { return _Row2; }
        }

        public override char[] Row3
        {
            get { return _Row3; }
        }

        public override char[] Row4
        {
            get { return _Row4; }
        }

        public override KeyboardLayout ShiftKeyboardLayout
        {
            get
            {
                return ThaiKeyboardLayout.Default;
            }
        }

    }
}
